Package org.eclipse.mat.dtfj

## Class PreferenceConstants

- java.lang.Object
- - org.eclipse.mat.dtfj.PreferenceConstants

    public class PreferenceConstants
    extends java.lang.Object

Constant definitions for plug-in preferences

### Field Summary

Fields
`static java.lang.String` `ALL_METHODS_AS_CLASSES`
`static java.lang.String` `FRAMES_ONLY`
`static java.lang.String` `NO_METHODS_AS_CLASSES`
`static java.lang.String` `P_METHODS` Whether to treat stack frames as psuedo-objects and methods as pseudo-classes
`static java.lang.String` `P_RELIABILITY_CHECK`
`static java.lang.String` `P_SUPPRESS_CLASS_NATIVE_SIZES`
`static java.lang.String` `RELIABILITY_FATAL`
`static java.lang.String` `RELIABILITY_SKIP`
`static java.lang.String` `RELIABILITY_WARNING`
`static java.lang.String` `RUNNING_METHODS_AS_CLASSES`

### Constructor Summary

Constructors
`PreferenceConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### P_METHODS

    public static final java.lang.String P_METHODS

Whether to treat stack frames as psuedo-objects and methods as pseudo-classes

See Also:
  Constant Field Values

#### P_SUPPRESS_CLASS_NATIVE_SIZES

    public static final java.lang.String P_SUPPRESS_CLASS_NATIVE_SIZES

See Also:
  Constant Field Values

#### P_RELIABILITY_CHECK

    public static final java.lang.String P_RELIABILITY_CHECK

See Also:
  Constant Field Values

#### NO_METHODS_AS_CLASSES

    public static final java.lang.String NO_METHODS_AS_CLASSES

See Also:
  Constant Field Values

#### RUNNING_METHODS_AS_CLASSES

    public static final java.lang.String RUNNING_METHODS_AS_CLASSES

See Also:
  Constant Field Values

#### ALL_METHODS_AS_CLASSES

    public static final java.lang.String ALL_METHODS_AS_CLASSES

See Also:
  Constant Field Values

#### FRAMES_ONLY

    public static final java.lang.String FRAMES_ONLY

See Also:
  Constant Field Values

#### RELIABILITY_FATAL

    public static final java.lang.String RELIABILITY_FATAL

See Also:
  Constant Field Values

#### RELIABILITY_WARNING

    public static final java.lang.String RELIABILITY_WARNING

See Also:
  Constant Field Values

#### RELIABILITY_SKIP

    public static final java.lang.String RELIABILITY_SKIP

See Also:
  Constant Field Values

### Constructor Detail

#### PreferenceConstants

    public PreferenceConstants()